Static Public Member Functions | Static Private Attributes

# Game Class Reference

Main Game class. More...

`#include <game.hpp>`

## Static Public Member Functions
static void | GameLoop ()
| Called every game-tick to let Game do something.
static void | Initialize ()
| Initialize the Game system.
static void | StartNew ()
| Start up a new GameScript.
static void | Uninitialize (bool keepConfig)
| Uninitialize the Game system.
static void | Pause ()
| Suspends the Game Script and then pause the execution of the script.
static void | Unpause ()
| Resume execution of the Game Script.
static bool | IsPaused ()
| Checks if the Game Script is paused.
static void | NewEvent (class ScriptEvent *event)
| Queue a new event for a Game Script.
static class GameInstance * | GetGameInstance ()
| Get the current GameScript instance.
static class GameInfo * | GetInfo ()
| Get the current GameInfo.
static void | Rescan ()
static void | ResetConfig ()
static void | Save ()
| Save data from a GameScript to a savegame.
static void | Load (int version)
| Load data for a GameScript from a savegame.
static char * | GetConsoleList (char *p, const char *last, bool newest_only=false)
| Wrapper function for GameScanner::GetConsoleList.
static char * | GetConsoleLibraryList (char *p, const char *last)
| Wrapper function for GameScanner::GetConsoleLibraryList.
static const ScriptInfoList * | GetInfoList ()
| Wrapper function for GameScanner::GetInfoList.
static const ScriptInfoList * | GetUniqueInfoList ()
| Wrapper function for GameScanner::GetUniqueInfoList.
static class GameInfo * | FindInfo (const char *name, int version, bool force_exact_match)
| Wrapper function for GameScannerInfo::FindInfo.
static class GameLibrary * | FindLibrary (const char *library, int version)
| Wrapper function for GameScanner::FindLibrary.
static class GameInstance * | GetInstance ()
| Get the current active instance.
static const char * | GetMainScript ()
| Get the current active mainscript.
static bool | HasGame (const struct ContentInfo *ci, bool md5sum)
| Wrapper function for GameScanner::HasGame.
static bool | HasGameLibrary (const ContentInfo *ci, bool md5sum)
static GameScannerInfo * | GetScannerInfo ()
| Gets the ScriptScanner instance that is used to find Game scripts.
static GameScannerLibrary * | GetScannerLibrary ()
| Gets the ScriptScanner instance that is used to find Game Libraries.
## Static Private Attributes
static uint | frame_counter = 0
| Tick counter for the Game code.
static class GameInstance * | instance = NULL
| Instance to the current active Game.
static class GameScannerInfo * | scanner_info = NULL
| Scanner for Game scripts.
static class GameScannerLibrary * | scanner_library = NULL
| Scanner for GS Libraries.
static class GameInfo * | info = NULL
| Current selected GameInfo.

## Detailed Description

Main Game class.

Contains all functions needed to start, stop, save and load Game Scripts.

Definition at line 27 of file game.hpp.

## Member Function Documentation

bool Game::IsPaused | ( |  | ) | `[static]`

Checks if the Game Script is paused.

Returns:
  true if the Game Script is paused, otherwise false.

Definition at line 130 of file game_core.cpp.

References ScriptInstance::IsPaused().

Referenced by AIDebugWindow::AIDebugWindow(), AIDebugWindow::ChangeToAI(), and AIDebugWindow::OnClick().

void Game::Pause | ( |  | ) | `[static]`

Suspends the Game Script and then pause the execution of the script.

The script will not be resumed from its suspended state until the script has been unpaused.

Definition at line 120 of file game_core.cpp.

References ScriptInstance::Pause().

Referenced by AIDebugWindow::OnInvalidateData().

void Game::Unpause | ( |  | ) | `[static]`

Resume execution of the Game Script.

This function will not actually execute the script, but set a flag so that the script is executed my the usual mechanism that executes the script.

Definition at line 125 of file game_core.cpp.

References ScriptInstance::Unpause().

Referenced by AIDebugWindow::OnClick().

The documentation for this class was generated from the following files:

- src/game/game.hpp
- src/game/game_core.cpp